<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class TextNode extends TreeNode
{
  
  public $text;

  
  public function getContent($exportAdapter)
  {
    return $this->text . parent::getContent($exportAdapter);
  }

  public function __construct($pText)
  {
    $this->text = $pText;
  }
}